Install failure on dnn 6.2.6 (recently updated from 5.6.7)

Feb 5, 2013 at 10:35 PM
Trying to install on dnn 6.2.6 but get the following:

Info Starting Installation - CKEditor.EditorConfigManager
Info Starting Installation - Module
Failure ExceptionSystem.Data.SqlClient.SqlException (0x80131904): Subquery returned more than 1 value. This is not permitted when the subquery follows =, !=, <, <= , >, >= or when the subquery is used as an expression. at System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection) at System.Data.SqlClient.SqlInternalConnection.OnError(SqlException exception, Boolean breakConnection) at System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning() at System.Data.SqlClient.TdsParser.Run(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream, BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj) at System.Data.SqlClient.SqlCommand.FinishExecuteReader(SqlDataReader ds, RunBehavior runBehavior, String resetOptionsString) at System.Data.SqlClient.SqlCommand.RunExecuteReaderTds(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, Boolean async) at System.Data.SqlClient.SqlCommand.RunExecuteReader(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, String method, DbAsyncResult result) at System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(DbAsyncResult result, String methodName, Boolean sendToPipe) at System.Data.SqlClient.SqlCommand.ExecuteNonQuery() at Microsoft.ApplicationBlocks.Data.SqlHelper.ExecuteNonQuery(SqlConnection connection, CommandType commandType, String commandText, SqlParameter[] commandParameters) at Microsoft.ApplicationBlocks.Data.SqlHelper.ExecuteNonQuery(String connectionString, CommandType commandType, String commandText, SqlParameter[] commandParameters) at Microsoft.ApplicationBlocks.Data.SqlHelper.ExecuteNonQuery(String connectionString, String spName, Object[] parameterValues) at DotNetNuke.Data.SqlDataProvider.ExecuteNonQuery(String ProcedureName, Object[] commandParameters) at DotNetNuke.Entities.Content.Data.DataService.AddMetaData(ContentItem contentItem, String name, String value) at DotNetNuke.Entities.Content.Data.DataService.SynchronizeMetaData(ContentItem contentItem, IEnumerable1 added, IEnumerable1 deleted) at DotNetNuke.Entities.Content.ContentController.SaveMetadataDelta(ContentItem contentItem) at DotNetNuke.Entities.Content.ContentController.AddContentItem(ContentItem contentItem) at DotNetNuke.Entities.Modules.DesktopModuleController.CreateContentItem(DesktopModuleInfo desktopModule) at DotNetNuke.Entities.Modules.DesktopModuleController.SaveDesktopModule(DesktopModuleInfo desktopModule, Boolean saveChildren, Boolean clearCache, Boolean saveTerms) at DotNetNuke.Services.Installer.Installers.ModuleInstaller.Install()
Failure Installation Failed - Module
Info Installation Failed - CKEditor.EditorConfigManager
Coordinator
Feb 6, 2013 at 8:34 AM
Does this error also occurs when you try to install other Modules?

This looks like an DNN Upgrade Problem not related to my Provider.

I found some threads on the DNN Forum (including a solution)

http://www.dotnetnuke.com/Resources/Forums/forumid/200/postid/474003/scope/posts.aspx

Maybe this also fixes your site.
Feb 6, 2013 at 2:01 PM
Yes thanks that has sorted the installation of other modules

BUT I went to reinstall the CK Editor and it won't let me as it says that it is already installed - see above it is actually the CKEditor.EditorConfigManager that failed.

The Editor works but is not saving

How can I get it to install now?

With Best Regards
Charles
Feb 6, 2013 at 4:43 PM
There was an HTML Module v 6.2.6 avaiable to install in the DNN 6.2.6 upgrade - I installed it and now CKEditor 4.0.1 (revision d02739be4b) works.

Still not sure about the configuration manager


Many thanks

Charles
Coordinator
Feb 7, 2013 at 2:14 AM
Try to uninstall both the ckeditor configuration module and the provider then you should be able to reinstall both.
Feb 7, 2013 at 9:28 AM
How do you uninstall this provider?
Coordinator
Feb 7, 2013 at 10:47 AM
CPSS wrote:
How do you uninstall this provider?
You uninstall just like you would uninstall a module from Host -> extensions -> Uninstall this extension (But when you try to uninstall an editor provider you need to change the default provider first under Host -> HTML Editor Manager -> and change the default provider to rad editor under current provider.).